- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# webfaction_domain – Add or remove domains and subdomains on Webfaction

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Add or remove domains or subdomains on a Webfaction host. Further documentation at https://github.com/quentinsf/ansible-webfaction.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
login_name - / required |  | The webfaction account to use
login_password - / required |  | The webfaction password to use
name - / required |  | The name of the domain
state - | Choices: present ← absent | Whether the domain should exist
subdomains - | Default: [] | Any subdomains to create.

## Notes

Note

- If you are deleting domains by using `state=absent`, then note that if you specify subdomains, just those particular subdomains will be deleted. If you don’t specify subdomains, the domain will be deleted.
- You can run playbooks that use this on a local machine, or on a Webfaction host, or elsewhere, since the scripts use the remote webfaction API. The location is not important. However, running them on multiple hosts simultaneously is best avoided. If you don’t specify localhost as your host, you may want to add `serial: 1` to the plays.
- See the webfaction API for more info.

## Examples

    - name: Create a test domain
      webfaction_domain:
        name: mydomain.com
        state: present
        subdomains:
         - www
         - blog
        login_name: "{{webfaction_user}}"
        login_password: "{{webfaction_passwd}}"

    - name: Delete test domain and any subdomains
      webfaction_domain:
        name: mydomain.com
        state: absent
        login_name: "{{webfaction_user}}"
        login_password: "{{webfaction_passwd}}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Quentin Stafford-Fraser (@quentinsf)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.